<html lang="en">
<head>
<title>Picture box - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Global-environment.html#Global-environment" title="Global environment">
<link rel="prev" href="Camera.html#Camera" title="Camera">
<link rel="next" href="Frame.html#Frame" title="Frame">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Picture-box"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Frame.html#Frame">Frame</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Camera.html#Camera">Camera</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Global-environment.html#Global-environment">Global environment</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.4.3 Picture box</h4>

<p><a name="index-picture-box-381"></a><strong>Syntax:</strong>
<a name="index-picturebox-382"></a>
<pre class="example">     picturebox[<var>baseline</var>]
     picturebox[<var>baseline</var>] (<var>p1</var>)(<var>p2</var>)
</pre>
   <p class="noindent">The first form of <code>picturebox</code> causes a scalar <var>baseline</var>
fraction to be emitted in the <code>pspicture</code>
<a name="index-_0040code_007bpspicture_007d-383"></a><a name="index-baseline-fraction-384"></a>environment of the output.  See
<code>PSTricks</code> documentation for <code>pspicture</code>.

   <p>In the second form, the <var>baseline</var> fraction is optional, and the
two points that follow define the diagonal of a three-dimensional
bounding box
<a name="index-bounding-box-385"></a>for the completed scene.  The parallel projection
<a name="index-parallel-projection-386"></a><a name="index-projection_002c-parallel-387"></a>of the bounding box
determines the corners of the drawing's <code>pspicture*</code> environment,
which is used in place of <code>pspicture</code>.  This causes PostScript to
clip
<a name="index-clipping-388"></a>the final drawing to the bounding box in 2d.  If there is a
<code>camera</code> specified, the camera tranformation is applied to the
bounding box, and the <code>pspicture</code> is set just large
enough to include the transformed box.

   <p>When no bounding box is given, <code>sketch</code> computes one
automatically.

   </body></html>

